OpenSCAD ScaleMeshFeature/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 4: Line 4:
|[[OpenSCAD_MirrorMeshFeature/it|Specchia la mesh]]
|[[OpenSCAD_MirrorMeshFeature/it|Specchia la mesh]]
|[[OpenSCAD_ResizeMeshFeature/it|Ridimensiona le mesh]]
|[[OpenSCAD_ResizeMeshFeature/it|Ridimensiona le mesh]]
|[[OpenSCAD_Module/it|OpenSCAD]]
|[[OpenSCAD_Workbench/it|OpenSCAD]]
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconL=OpenSCAD_MirrorMeshFeature.svg
|IconC=Workbench_OpenSCAD.svg
|IconC=Workbench_OpenSCAD.svg

Revision as of 13:32, 30 August 2021

Other languages:

Scala la mesh

Posizione nel menu
OpenSCAD → Scala la mesh
Ambiente
OpenSCAD
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno

Description

Creates a new scaled mesh object with independent scaling for each axis.

Usage

  1. Select the mesh object to be scaled.
  2. Click the OpenSCAD → Scale Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new mesh object is created and scaled, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new scaled object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to scale
original_mesh = App.ActiveDocument.Mesh
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)